Home>

I am studying Ruby.

When

rbenv install 2.5.1 is executed, the following error message is output and installation is not possible.
Do you have any cause?
The execution environment is installed with Ubuntu on Windows10home.

Downloading ruby-2.5.1.tar.bz2 ...->https://cache.ruby-lang.org/pub/ruby/2.5/ruby-2.5.1.tar.bz2 Installing ruby-2.5. 1 ... BUILD FAILED (Ubuntu 18.04 using ruby-build 20191111-12-g08af628) Inspect or clean up the working tree at /tmp/ruby-build.20191124102508.5784.xlpsqt Results logged to /tmp/ruby-build.20191124102508.5784.log Last 10 log lines: The Ruby readline extension was not compiled.The Ruby zlib extension was not compiled. ERROR: Ruby install aborted due to missing extensions Try runningapt-get install -y libssl-dev libreadline-dev zlib1g-devto fetch missing dependencies.Configure options used: --prefix =/home/riku0513 /.rbenv/versions/2.5.1 --enable-shared LDFLAGS = -L/home/riku0513/.rbenv/versions/2.5.1/lib CPPFLAGS = -I/home/riku0513/.rbenv/versions/2.5.1/include